%define upstream_name    File-Dir-Dumper
%define upstream_version v0.0.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Writer for a stream of JSON data
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::String)
BuildRequires: perl(JSON)
BuildRequires: perl(List::Util)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}
# Make the program work with any version of Perl.
perl -lpi -e 's{^(#!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/dir-dump
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.0.8-4.mga4
+ Revision: 533454
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 shlomif <shlomif> 0.0.8-3.mga4
+ Revision: 473451
- Typo correction
- Made the executable work with any version of perl - including 5.18.1

* Sun Jun 02 2013 jquelin <jquelin> 0.0.8-2.mga4
+ Revision: 434475
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 0.0.8-1.mga4
+ Revision: 432530
- New version 0.0.8

* Mon Mar 18 2013 jquelin <jquelin> 0.0.7-5.mga3
+ Revision: 403819
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.7-4.mga3
+ Revision: 367159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.0.7-3.mga3
+ Revision: 315008
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.0.7-2.mga3
+ Revision: 283541
- perl 5.16.1 rebuild

* Fri Jun 08 2012 shlomif <shlomif> 0.0.7-1.mga3
+ Revision: 257913
- Add a BR
- New version - 0.0.7

* Sat Dec 17 2011 shlomif <shlomif> 0.0.6-2.mga2
+ Revision: 183251
- imported package perl-File-Dir-Dumper


* Thu Jun 30 2011 Shlomi Fish <shlomif@iglu.org.il> 0.0.6-2
- change to _bindir and _mandir.

* Sun Aug 09 2009 cpan2dist 0.0.6-1mdv
- initial mdv release, generated with cpan2dist
